<svg class="top-svg" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 545.04 386.98">
  <defs>
    <style>
      .cls-1 {
        fill: none;
        stroke: var(--level-up-quiz-top-arc, #be90c0);
        stroke-miterlimit: 10;
        stroke-width: 8px;
      }

      .cls-2,
      .cls-3 {
        fill: var(--level-up-quiz-top-cloud, #dc82b4);
      }

      .cls-3 {
        font-size: 38.16px;
        font-family: Merienda-Regular_0_wt, Merienda;
      }

      .cls-4 {
        fill: var(--level-up-quiz-top-stars, #84cee6);
      }
    </style>
  </defs>
  <path class="cls-1" d="M57.15,267.21c14.49-106.12,102.92-184.36,201.19-186,111.33-1.82,211,95.13,209.85,217.64" transform="translate(0 -10.69)" />
  <path class="cls-1" d="M146.74,287.84c.48-4.19,9.39-71.45,67.29-100,52.9-26.13,101.69,2.24,107.69,5.87,55.61,33.69,61.39,100.22,61.77,105.62" transform="translate(0 -10.69)" />
  <path class="cls-2"
    d="M372.6,283.48c-.72-17.55,31.29-46.08,62.46-35.14,18.22,6.4,32.9,25.1,29.41,44.08a50.91,50.91,0,0,1,80.4,37,40.56,40.56,0,0,1-2.5,18.59c-5,12.45-17.58,20.92-30.81,23.28s-27-.73-39.2-6.31c2.12,6.2.36,13.31-3.57,18.56s-9.78,8.81-15.93,11.06a51.45,51.45,0,0,1-68.59-41.05A45.93,45.93,0,0,1,311.66,364c-7.77-7.71-12.67-18.47-12.51-29.42s5.66-21.87,14.84-27.83,21.89-6.39,31-.37c-6.28-6.78-7.24-16.4-2.87-22.88,3.54-5.24,10.77-8.75,17.16-7.14,2.09.53,12.19,6.3,13.28,7.13"
    transform="translate(0 -10.69)" />
  <path class="cls-2"
    d="M209.68,291.68c-8.1-15.58-25.39-25.72-42.27-20.88-2.36-20.27-19.11-32.39-39.49-33.48C108,236.26,89,249,83.94,268.08a38.13,38.13,0,0,0-26.54-12.9c-15.89-.71-26.14,9.05-27.79,10.68a33.6,33.6,0,0,0-6.36,32.32A32.37,32.37,0,0,0,.88,320.73c-2.74,10.74,1,23,9.61,30,7.58,6.21,18,8.08,27.73,7.17s19.08-4.33,28.27-7.71c1.8,9.26,8.89,16.9,17.33,21.13s18.07,5.44,27.51,5.46c11,0,22.67-1.72,31.44-8.44s13.57-19.57,8.33-29.3c13.53,11.19,35,11.3,48.65.26S217.79,307.26,209.68,291.68Z"
    transform="translate(0 -10.69)" /><text class="cls-3" transform="translate(126.45 221.68) rotate(-60.64)">L</text><text class="cls-3"
    transform="matrix(0.58, -0.82, 0.82, 0.58, 136.25, 204.01)">o</text><text class="cls-3" transform="translate(149.68 185.41) rotate(-49.61)">l</text><text class="cls-3"
    transform="matrix(0.7, -0.72, 0.72, 0.7, 156.76, 177.05)">i</text><text class="cls-3" transform="matrix(0.75, -0.66, 0.66, 0.75, 164.87, 168.57)">t</text><text class="cls-3"
    transform="translate(175.08 159.11) rotate(-34.23)">a</text><text class="cls-3" transform="translate(194.57 146.21) rotate(-26.97)"> </text><text class="cls-3"
    transform="matrix(0.94, -0.34, 0.34, 0.94, 204.95, 140.59)">L</text><text class="cls-3" transform="translate(223.6 133.71) rotate(-11.25)">e</text><text class="cls-3"
    transform="translate(242.41 129.97) rotate(-3.47)">v</text><text class="cls-3" transform="translate(260.64 128.79) rotate(4.36)">e</text><text class="cls-3"
    transform="translate(280.51 130.51) rotate(10.47)">l</text><text class="cls-3" transform="translate(291.22 132.45) rotate(14.99)"> </text><text class="cls-3"
    transform="translate(302.74 134.93) rotate(22.58)">U</text><text class="cls-3" transform="matrix(0.85, 0.53, -0.53, 0.85, 328.31, 145.67)">p</text><text class="cls-3"
    transform="matrix(0.79, 0.61, -0.61, 0.79, 348.58, 158.6)"> </text><text class="cls-3" transform="translate(358.26 165.47) rotate(44.5)">Q</text><text class="cls-3"
    transform="translate(378.91 186.03) rotate(52.29)">u</text><text class="cls-3" transform="translate(392.53 204) rotate(57.29)">i</text><text class="cls-3"
    transform="translate(398.99 213.79) rotate(61.6)">z</text>
  <path class="cls-4"
    d="M76,80.52l1,11a6,6,0,0,0,3.06,4.7l9.67,5.41a6,6,0,0,1-.56,10.78L79,116.83a6,6,0,0,0-3.52,4.35l-2.16,10.87a6,6,0,0,1-10.42,2.8l-7.32-8.33a6,6,0,0,0-5.23-2l-11,1.31a6,6,0,0,1-5.88-9l5.66-9.53a6,6,0,0,0,.29-5.6L34.78,91.59a6,6,0,0,1,6.79-8.39l10.82,2.43a6,6,0,0,0,5.4-1.45l8.14-7.53A6,6,0,0,1,76,80.52Z"
    transform="translate(0 -10.69)" />
  <path class="cls-4"
    d="M264.76,246l5,5.55a4,4,0,0,0,3.52,1.31l7.39-.95a4,4,0,0,1,4,6.05l-3.74,6.44a4,4,0,0,0-.16,3.76l3.19,6.73a4,4,0,0,1-4.51,5.68L272.15,279a4,4,0,0,0-3.63,1l-5.42,5.11a4,4,0,0,1-6.79-2.53l-.76-7.41a4.06,4.06,0,0,0-2.09-3.14l-6.53-3.57a4,4,0,0,1,.31-7.25l6.81-3a4,4,0,0,0,2.34-2.95l1.38-7.32A4,4,0,0,1,264.76,246Z"
    transform="translate(0 -10.69)" />
  <path class="cls-4"
    d="M487.51,124l9.73,5.31a6,6,0,0,0,5.6.09l9.89-5a6,6,0,0,1,8.63,6.48l-2.05,10.9a6,6,0,0,0,1.65,5.35l7.81,7.86a6,6,0,0,1-3.49,10.21l-11,1.42a6,6,0,0,0-4.59,3.22l-5.06,9.86a6,6,0,0,1-10.79-.17l-4.75-10a6,6,0,0,0-4.48-3.36l-10.94-1.77A6,6,0,0,1,470.51,154l8.05-7.61a6,6,0,0,0,1.82-5.3l-1.7-10.95A6,6,0,0,1,487.51,124Z"
    transform="translate(0 -10.69)" />
  <path class="cls-4" d="M388.82,50.37a50.25,50.25,0,0,1,19.32-39.64c-.44,0-.87,0-1.31,0a46.16,46.16,0,1,0,18.95,88.24A50.39,50.39,0,0,1,388.82,50.37Z"
    transform="translate(0 -10.69)" />
  <path class="cls-4"
    d="M254.7,34.21l6.22-2.57A3.63,3.63,0,0,0,263.09,29l1.41-6.57a3.65,3.65,0,0,1,6.35-1.61L275.21,26a3.62,3.62,0,0,0,3.16,1.26l6.68-.69a3.65,3.65,0,0,1,3.49,5.54L285,37.8a3.67,3.67,0,0,0-.23,3.39l2.73,6.15a3.65,3.65,0,0,1-4.19,5L276.8,50.8a3.65,3.65,0,0,0-3.29.83l-5,4.5a3.65,3.65,0,0,1-6.08-2.43L261.9,47a3.63,3.63,0,0,0-1.81-2.87l-5.82-3.37A3.66,3.66,0,0,1,254.7,34.21Z"
    transform="translate(0 -10.69)" />
</svg>
<form *ngIf="form" [formGroup]="form" (submit)="onSubmit()">
  <ol formArrayName="items">
    <li *ngFor="let item of items; let i = index">
      <app-form-field appTada [centerOn]="centerOn">
        <div class="layout">
          <input appInput type="checkbox" [formControlName]="i" class="visualy-hidden">
          <svg class="checkbox-star" #centerOn (click)="onStarClick(i)">
            <use href="#checkbox-star" />
          </svg>
          <label appLabel>{{ item }}</label>
        </div>
      </app-form-field>
    </li>
  </ol>
  <button type="submit" appTada class="primary">
    <span>{{ 'LEVEL_UP_QUIZ.SUBMIT' | translate }}</span>
    <svg aria-hidden="true">
      <use href="#checkbox-star" />
    </svg>
  </button>

  <a *ngIf="haveLastResult" app-button color="default" class="last-result fw-normal small" routerLink="/tips/level-up-quiz/result">
    {{ 'LEVEL_UP_QUIZ.LAST_RESULT_LINK' | translate }}
  </a>
</form>

<app-fieldset [legend]="'LEVEL_UP_QUIZ.FIELDSET_LABEL' | translate" [opened]="false">
  <p [innerHTML]="'LEVEL_UP_QUIZ.TOP' | staticContent | async"></p>
</app-fieldset>
